## gate.annotation
Class AnnotationSetImpl.VerboseHashMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--java.util.HashMap
                  |
                  +--gate.annotation.AnnotationSetImpl.VerboseHashMap

All Implemented Interfaces:
  Cloneable, Map, Serializable

Enclosing class:
  AnnotationSetImpl

public class AnnotationSetImpl.VerboseHashMap
extends HashMap

Class used for the indexById structure. This is a `HashMap` that fires events when elements are removed.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Method Summary
`Object` `remove(Object key)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Method Detail

### remove

    public Object remove(Object key)

  Overrides:
    `remove` in class `HashMap`